%global modulename registry-auth-token

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-registry-auth-token
Version:        3.3.2
Release:        1%{?dist}
Summary:        Get the auth token set for an npm registry (if any)

License:        MIT
URL:            https://github.com/rexxars/registry-auth-token#readme
Source0:        https://registry.npmjs.org/registry-auth-token/-/registry-auth-token-3.3.2.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(rc) >= 1.1.6 with npmlib(rc) < 2.0.0))
BuildRequires:  ((npmlib(safe-buffer) >= 5.0.1 with npmlib(safe-buffer) < 6.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Get the auth token set for an npm registry (if any)

%package 3.3.2
Summary:        Get the auth token set for an npm registry (if any)


%description 3.3.2
Get the auth token set for an npm registry (if any)

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr base64.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr registry-url.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr test %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr yarn.lock %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 3.3.2
%doc CHANGELOG.md
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Fri Nov 16 2018 npm2srpm <dshea@redhat.com> - 3.3.2-1
- Package automatically generated by npm2srpm
